#!/bin/sh
# Compile process application

source ./functions.sh

if [ ! -f "process.c" ]; then
    throw_error "process.c not found"
else    
    gcc -lfcgi -lpthread -O2 -lxml2 -I/usr/include/postgresql -I/usr/include/libxml2 -I/usr/include/curl -lpq -lcurl -lhpdf -lldap -lz -lm reporting/reporting_config.c inno-lib/inno-lib.c process.c cdr.c mypbx.c pg_report.c lang/process-languages.c lang/process-strings-utf8.c -D NO_FCGI_DEFINES -o $1/process.fcgi.tmp
    if [ ! -f "$1/process.fcgi.tmp" ]; then
        throw_error "fcgi process not compiled"
    else
        chown www-data:www-data $1/process.fcgi.tmp
    fi
    gcc -o /usr/local/bin/zpipe -O2 zpipe.c -lz
    if [ ! -x /usr/local/bin/zpipe ]; then
        log_msg "Warning: zpipe tool not available"
    fi
    log_msg "fcgi process compiled"
fi
